/************************************************************************
 *
 * AJFormattedTextField.java -
 *
 * $Id: AJFormattedTextField.java,v 1.1.1.1 2006/06/30 23:38:03 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
import java.lang.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class AJFormattedTextField extends JFormattedTextField {

    public Hashtable box;
    public String key = null;

    public AJFormattedTextField(String txt, int length, Hashtable box) {
        super();
        this.setColumns(length);
        this.setText(txt);
        this.box = box;
    }

    public AJFormattedTextField(String txt, int length, JFormattedTextField.AbstractFormatter formatter, Hashtable box, String key) {
        super(formatter);
        this.setColumns(length);
        this.setText(txt);
        this.box = box;
        this.key = key;
    }

    public void doAction(AJFormattedTextField ftf) {
    }
}
