/************************************************************************
 *
 * AJLabel.java -
 *
 * $Id: AJLabel.java,v 1.1.1.1 2006/06/30 23:38:03 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
import java.lang.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class AJLabel extends JLabel {

    public Hashtable box;
    public boolean state = true;

    // used as a link to another AJLabel in AddrSpaceSplitJoinDialog.java
    public Object obj = null;

    public AJLabel(Icon icon, Hashtable box) {
        super(icon);
        this.box = box;
    }

    public AJLabel(String label, Hashtable box) {
        super(label);
        this.box = box;
    }

    public AJLabel(String label) {
        this(label, null);
    }

    public String toString() {
	   return "AJLabel(\""+getText()+"\"), obj "+(obj!=null?"!":"=")+"= null, state = "+state;
    }
}
