<tests>
alias_test1
alias_test2
alias_test3
alias_test4
alias_test5
alias_test6
</tests>

<alias_test1>
<cmd>
$NETDB node alias --add astrogw-1.Cogswell-Cogs.COM,astrogw-2.Cogswell-Cogs.COM $ASTROGWC
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
*** astro-gw.Cogswell-Cogs.COM.orig
--- astro-gw.Cogswell-Cogs.COM
***************
*** 1,4 ****
--- 1,5 ----
  ..
           name: astro-gw.Cogswell-Cogs.COM
+             alias: astrogw-1.Cogswell-Cogs.COM, astrogw-2.Cogswell-Cogs.COM
           name: astro-gw.Spacely-Sprockets.COM
           type: Node (Advanced, Router)
</diff>
</alias_test1>

<alias_test2>
<cmd>
$NETDB node alias --add astrogw-3.Cogswell-Cogs.COM,astrogw-2.Cogswell-Cogs.COM --remove astrogw-1.Cogswell-Cogs.COM $ASTROGWC
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
*** astro-gw.Cogswell-Cogs.COM.orig
--- astro-gw.Cogswell-Cogs.COM
***************
*** 1,4 ****
--- 1,5 ----
  ..
           name: astro-gw.Cogswell-Cogs.COM
+             alias: astrogw-2.Cogswell-Cogs.COM, astrogw-3.Cogswell-Cogs.COM
           name: astro-gw.Spacely-Sprockets.COM
           type: Node (Advanced, Router)
</diff>
</alias_test2>

<alias_test3>
<cmd>
$NETDB node alias --add astrogw-4.Cogswell-Cogs.COM $ASTROGWS
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
*** astro-gw.Cogswell-Cogs.COM.orig
--- astro-gw.Cogswell-Cogs.COM
***************
*** 1,5 ****
--- 1,7 ----
  ..
           name: astro-gw.Cogswell-Cogs.COM
+             alias: astrogw-2.Cogswell-Cogs.COM, astrogw-3.Cogswell-Cogs.COM
           name: astro-gw.Spacely-Sprockets.COM
+             alias: astrogw-4.Cogswell-Cogs.COM
           type: Node (Advanced, Router)
          state: Good
</diff>
</alias_test3>

<alias_test4>
<cmd>
$NETDB node alias --remove astrogw-2.Cogswell-Cogs.COM,astrogw-3.Cogswell-Cogs.COM $ASTROGWC
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
*** astro-gw.Cogswell-Cogs.COM.orig
--- astro-gw.Cogswell-Cogs.COM
***************
*** 2,5 ****
--- 2,6 ----
           name: astro-gw.Cogswell-Cogs.COM
           name: astro-gw.Spacely-Sprockets.COM
+             alias: astrogw-4.Cogswell-Cogs.COM
           type: Node (Advanced, Router)
          state: Good
</diff>
</alias_test4>

<alias_test5>
<cmd>
$NETDB node alias --remove astrogw-4.Cogswell-Cogs.COM $ASTROGWS
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
</diff>
</alias_test5>

<alias_test6>
<cmd>
$NETDB node alias --add astrogwi-1.Cogswell-Cogs.COM $ASTROGWI
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
</diff>
</alias_test6>

