<tests>
ip_address_test1
ip_address_test2
ip_address_test3
ip_address_test4
ip_address_test5
</tests>

<ip_address_test1>
<msg>
IP Address -- remove and add
</msg>

<cmd>
$NETDB node ip_address --remove 191.64.132.1 -add 191.64.132.2 $ASTROGWC
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
*** astro-gw.Cogswell-Cogs.COM.orig
--- astro-gw.Cogswell-Cogs.COM
***************
*** 16,20 ****
       2)    name: astro-gw-1.Spacely-Sprockets.COM
          ip-addr: 10.254.132.1
!                  191.64.132.1
  administrator: Spacely's Nuts
                    e-mail: nuts@spacely-sprockets.com
--- 16,20 ----
       2)    name: astro-gw-1.Spacely-Sprockets.COM
          ip-addr: 10.254.132.1
!                  191.64.132.2
  administrator: Spacely's Nuts
                    e-mail: nuts@spacely-sprockets.com
</diff>
</ip_address_test1>

<ip_address_test2>
<msg>
IP Address -- setting new ip should fail as reserved would be different from the requested one
</msg>

<cmd>
$NETDB node ip_address --remove 191.64.132.2 -add 191.64.132.105 $ASTROGWC
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
*** astro-gw.Cogswell-Cogs.COM.orig
--- astro-gw.Cogswell-Cogs.COM
***************
*** 16,20 ****
       2)    name: astro-gw-1.Spacely-Sprockets.COM
          ip-addr: 10.254.132.1
!                  191.64.132.1
  administrator: Spacely's Nuts
                    e-mail: nuts@spacely-sprockets.com
--- 16,20 ----
       2)    name: astro-gw-1.Spacely-Sprockets.COM
          ip-addr: 10.254.132.1
!                  191.64.132.2
  administrator: Spacely's Nuts
                    e-mail: nuts@spacely-sprockets.com
</diff>
</ip_address_test2>

<ip_address_test3>
<msg>
IP Address -- remove and add ipc address
</msg>

<cmd>
$NETDB node ip_address --remove 191.64.132.106 -add 191.64.132.111 jetson-mbdsl.Spacely-Sprockets.COM
</cmd>

<obj>
jetson-mbdsl.Spacely-Sprockets.COM
</obj>

<diff>
*** jetson-mbdsl.Spacely-Sprockets.COM.orig
--- jetson-mbdsl.Spacely-Sprockets.COM
***************
*** 10,18 ****
     interfaces:
       1) ip-addr: 191.64.132.105
! IPC addresses: 191.64.132.106       rudi.Spacely-Sprockets.COM
!                191.64.132.107       uniblab.Spacely-Sprockets.COM
                 191.64.132.108       lectronimo.Spacely-Sprockets.COM
                 191.64.132.109       dishmaster-12000.Spacely-Sprockets.COM
                 191.64.132.110       jetson-mbdsl-5.Spacely-Sprockets.COM
  administrator: Spacely's Nuts
                    e-mail: nuts@spacely-sprockets.com
--- 10,18 ----
     interfaces:
       1) ip-addr: 191.64.132.105
! IPC addresses: 191.64.132.107       uniblab.Spacely-Sprockets.COM
                 191.64.132.108       lectronimo.Spacely-Sprockets.COM
                 191.64.132.109       dishmaster-12000.Spacely-Sprockets.COM
                 191.64.132.110       jetson-mbdsl-5.Spacely-Sprockets.COM
+                191.64.132.111       rudi.Spacely-Sprockets.COM
  administrator: Spacely's Nuts
                    e-mail: nuts@spacely-sprockets.com
</diff>
</ip_address_test3>

<ip_address_test4>
<msg>
IP Address -- restore original ipc address
</msg>

<cmd>
$NETDB node ip_address --add 191.64.132.106 -remove 191.64.132.111 jetson-mbdsl.Spacely-Sprockets.COM
</cmd>

<obj>
jetson-mbdsl.Spacely-Sprockets.COM
</obj>

<diff>
</diff>
</ip_address_test4>

<ip_address_test5>
<msg>
IP Address -- restore original ip address in astro-gw.Cogswell-Cogs.COM
</msg>

<cmd>
$NETDB node ip_address --add 191.64.132.1 -remove 191.64.132.2 $ASTROGWC
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
</diff>
</ip_address_test5>
