<tests>
name_test1
name_test2
name_test3
name_test4
name_test5
name_test6
name_test7
</tests>

<name_test1>
<msg>
Name -- remove should fail as node must have at least one name
</msg>

<cmd>
$NETDB node name --remove $MACS $MACS
</cmd>

<obj>
mac-spacely.Spacely-Sprockets.COM
</obj>

<diff>
</diff>
</name_test1>

<name_test2>
<msg>
Name -- remove and add
</msg>

<cmd>
$NETDB node name --remove $MACS -add $MACSSN $MACS
</cmd>

<obj>
mac-spacely-super-node.Spacely-Sprockets.COM
</obj>

<diff>
*** mac-spacely-super-node.Spacely-Sprockets.COM.orig
--- mac-spacely-super-node.Spacely-Sprockets.COM
***************
*** 1 ****
! ..Node "mac-spacely-super-node.spacely-sprockets.com" does not exist.
--- 1,23 ----
! ..
!          name: mac-spacely-super-node.Spacely-Sprockets.COM
!             alias: WWW.Spacely-Sprockets.COM
!          type: Node (Host)
!         state: Good
!           cpu: Apple any
!        op-sys: MacOS
!    department: Gears, Cogs, and Sprockets
!      location: Off Campus (00-002)
!          room: 1
!    interfaces:
!      1) hw-addr: ffff.ee0e.dd0d  dhcp  roam
!         ip-addr: 191.64.132.39
! administrator: Spacely's Nuts
!                   e-mail: nuts@spacely-sprockets.com
!                    phone: (555) 555-5555
!         group: Spacely Sprokets
!       comment: NetDB test data - do not disturb
!    updated-by:
!  date-updated:
!    created-by: Astro Jetson (astrodoggy)
!  date-created:
!
</diff>
</name_test2>

<name_test3>
<msg>
Name -- re-set name to the original
</msg>

<cmd>
$NETDB node name --add $MACS -remove $MACSSN $MACSSN
</cmd>

<obj>
mac-spacely.Spacely-Sprockets.COM
</obj>

<diff>
</diff>
</name_test3>

<name_test4>
<msg>
Name -- change name of ip address
</msg>

<cmd>
$NETDB node name --add astro-gw-1-1-ip.Cogswell-Cogs.COM -remove astro-gw-1-1.Cogswell-Cogs.COM $ASTROGWC
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
*** astro-gw.Cogswell-Cogs.COM.orig
--- astro-gw.Cogswell-Cogs.COM
***************
*** 13,17 ****
       1)    name: astro-gw-1.Cogswell-Cogs.COM
          ip-addr: 10.254.20.1
!                  191.64.20.1           astro-gw-1-1.Cogswell-Cogs.COM
       2)    name: astro-gw-1.Spacely-Sprockets.COM
          ip-addr: 10.254.132.1
--- 13,17 ----
       1)    name: astro-gw-1.Cogswell-Cogs.COM
          ip-addr: 10.254.20.1
!                  191.64.20.1           astro-gw-1-1-ip.Cogswell-Cogs.COM
       2)    name: astro-gw-1.Spacely-Sprockets.COM
          ip-addr: 10.254.132.1
</diff>
</name_test4>

<name_test5>
<msg>
Name -- change name of ip address back to the original
</msg>

<cmd>
$NETDB node name --remove astro-gw-1-1-ip.Cogswell-Cogs.COM -add astro-gw-1-1.Cogswell-Cogs.COM $ASTROGWC
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
</diff>
</name_test5>

<name_test6>
<msg>
Name -- change name of interface
</msg>

<cmd>
$NETDB node name --add astro-gw-1-intfc.Spacely-Sprockets.COM -remove astro-gw-1.Spacely-Sprockets.COM $ASTROGWC
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
*** astro-gw.Cogswell-Cogs.COM.orig
--- astro-gw.Cogswell-Cogs.COM
***************
*** 14,18 ****
          ip-addr: 10.254.20.1
                   191.64.20.1           astro-gw-1-1.Cogswell-Cogs.COM
!      2)    name: astro-gw-1.Spacely-Sprockets.COM
          ip-addr: 10.254.132.1
                   191.64.132.1
--- 14,18 ----
          ip-addr: 10.254.20.1
                   191.64.20.1           astro-gw-1-1.Cogswell-Cogs.COM
!      2)    name: astro-gw-1-intfc.Spacely-Sprockets.COM
          ip-addr: 10.254.132.1
                   191.64.132.1
</diff>
</name_test6>

<name_test7>
<msg>
Name -- change name of interface back to the original
</msg>

<cmd>
$NETDB node name --remove astro-gw-1-intfc.Spacely-Sprockets.COM -add astro-gw-1.Spacely-Sprockets.COM $ASTROGWC
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
</diff>
</name_test7>
