-- NetDB_DHCPservice.sql --- NetDB_DHCPservice package spec.

create or replace package NetDB_DHCPservice as

    function verify_or_die ( p_service_id in int     := null,
                             p_label      in varchar := null ) return int;

    function handle (p_service_id in int) return varchar;

    function master ( p_action      in varchar,
                      p_op_uid      in int     := null,
                      p_service_id  in int     := null,
                      p_label       in varchar := null,
                      p_label_new   in varchar := null,
                      p_description in varchar := null ) return NetDB.ref_cursor;

end NetDB_DHCPservice;
/

grant execute on NetDB_DHCPservice to netdb_execute;
