-- NetDB_Location.sql --- contains functions related to Location table

create or replace package NetDB_Location as

    function verify_or_die ( p_location_id in int     := null,
                             p_location    in varchar := null ) return int;

    function handle (p_location_id in int) return varchar;
    
    function master ( p_action       in varchar,
                      p_op_uid       in int     := null,
                      p_location_id  in int     := null,
                      p_location     in varchar := null,
                      p_location_new in varchar := null,
                      p_site         in varchar := null,
                      p_code         in varchar := null ) return NetDB.ref_cursor;

end NetDB_Location;
/

grant execute on NetDB_Location to netdb_execute;
