-- NetDB_Model.sql --- contains functions related to Model table

create or replace package NetDB_Model as

    function verify_or_die ( p_model_id in int     := null,
                             p_make     in varchar := null,
                             p_model    in varchar := null ) return int;

    function master ( p_action        in varchar,
                      p_op_uid        in int     := null,
                      p_model_id      in int     := null,
                      p_make          in varchar := null,
                      p_modelname     in varchar := null,
                      p_make_new      in varchar := null,
                      p_modelname_new in varchar := null,
                      p_type          in varchar := null ) return NetDB.ref_cursor;

end NetDB_Model;
/

grant execute on NetDB_Model to netdb_execute;
