-- Util.sql --- general utility functions

create or replace package Util as

    function datediff(datepart varchar, date1 timestamp,
                      date2 timestamp := systimestamp) return float;

    function to_boolean(input int) return boolean;
    function to_int(input boolean) return int;

    procedure drop_type_if_exists(p_type varchar);

    print_debug_messages boolean := false;

    procedure print(message varchar);
    procedure println(message varchar);
    procedure println;

    procedure debug(message varchar);
    procedure debugln(message varchar);
    procedure debugln;

end Util;
/

grant execute on Util to public;

