-- GlobalDefault.sql --- application defaults

create table GlobalDefault
(
    id              int             PRIMARY KEY,
    label           varchar(32)     NOT NULL,
    str_value       varchar(256),
    int_value       int,
    id_value        int,
    description     varchar(64),
    display_label   varchar(64)
);

create sequence globaldefault_id_seq nocache;

create unique index globaldefault_lower_label_idx on GlobalDefault(lower(label));

grant select on GlobalDefault to netdb_select;

