-- Node_NodeType.sql --- types of specific nodes

create table Node_NodeType
(
    node  int          NOT NULL references Node on delete cascade,
    type  varchar(32)  NOT NULL references NodeType,
    PRIMARY KEY (node, type)
);

create index node_nodetype_node_idx    on Node_NodeType (node);
create index node_nodetype_type_idx    on Node_NodeType (type);
create index node_nodetype_lc_type_idx on Node_NodeType (lower(type));

grant select on Node_NodeType to netdb_select;

