-- as_router.sql --- temporary table for DHCP generation
--                   see DHCP generation SQL for details

create global temporary table as_router
(
    id           int,
    network      int,
    prefix       varchar(43),
    address      varchar(39),
    broadcast    varchar(39),
    router       varchar(39)
);

grant select on as_router to netdb_select;
grant insert on as_router to netdb_select;
grant update on as_router to netdb_select;
grant delete on as_router to netdb_select;

