-- Domain_b_iu_r.sql --- Domain table before insert or update trigger

create or replace trigger Domain_b_iu_r
  before insert or update on Domain
  for each row
begin

    -- make sure the user is not setting domain column
    if INSERTING then
        NetDB_Util.sysmaint_check('domain',:NEW.domain);
    end if;

    -- always build the domain name from name table data
    :NEW.domain := NetDB_Name.generate_fullname(:NEW.id);

end;
/

