-- InterfaceType_a_u_r.sql --- InterfaceType table after update trigger

create or replace trigger InterfaceType_a_u_r
  after update of type on InterfaceType
  for each row when (NEW.type != OLD.type)
begin
    -- cascade update the new type to the Interface table
    update Interface set type=:NEW.type where type=:OLD.type;
end;
/

