-- Log_b_iu_r.sql --- Log table before insert or update trigger

create or replace trigger Log_b_iu_r
  before insert or update on Log
  for each row
begin
    -- make sure the user is not setting derivatives
    if INSERTING then
        NetDB_Util.sysmaint_check('recordtype_display',:NEW.recordtype_display);
    end if;

    -- set the display record type
    :NEW.recordtype_display := NetDB_RecordType.display(:NEW.recordtype);
end;
/

