-- ModelType_a_u_r.sql --- ModelType table after update trigger

create or replace trigger ModelType_a_u_r
  after update of modeltype on ModelType
  for each row when (NEW.modeltype != OLD.modeltype)
begin
    -- cascade update the new modeltype to the Model table
    update Model set modeltype=:NEW.modeltype where modeltype=:OLD.modeltype;
end;
/

