-- Service_a_u_r.sql --- Service table after update trigger

create or replace trigger Service_a_u_r
  after update of service on Service
  for each row when (NEW.service != OLD.service)
begin
    -- cascade update the new service to the Node_Service table
    update Node_Service set service=:NEW.service where service=:OLD.service;
end;
/

