-- triggers.sql --- trigger testing code

-- not automated, but very useful (or at least a start...)

desc Node;
select min(id) from node;
select * from node where id=1;

insert into Node values (1,224,215,'203','Good',210,4735,2645,'02-MAY-94 12.57.54.000 PM','03-OCT-03 05.17.35.536 PM',NULL,NULL,NULL,NULL,NULL,NULL,NULL);
update Node set id=1 where id=3;
update Node set id=1 where id=1;

-- interface

select node from name where name = 'calgon';
select * from interface where node=20070231;
select node from name where name = 'daedalus';
select * from interface where node=10063343;

select * from interface a, interface b where a.hw_address=b.hw_address and a.id!=b.id;
insert into interface values (NULL,'Ethernet',10063343,0,1,'dEadBeeFFFff',NULL);

update interface set node=20070231 where node=10063343;

select * from interface where hw_address='deadbeefffff';
delete interface where hw_address='deadbeefffff';

-- IPaddressSpace

select * from IPaddressSpace;
update IPaddressSpace set id=1147 where id=1147;
update IPaddressSpace set prefix_txt=IP.text(prefix);
insert into IPaddressSpace (network, prefix, address, highres, lowres)
                   values  (300, '171.62.20/24', '171.62.20',  '171.62.20.155', '171.62.20.15');
insert into IPaddressSpace (network, prefix, highres, lowres)
                   values  (300, '171.62.20/24', '171.62.20.155', '171.62.20.15');
insert into IPaddressSpace (network, prefix, highres, lowres)
                   values  (2, '64/8', '64.64.0.0', '64.0.0.1');
insert into IPaddressSpace (network, prefix, highres, lowres)
                   values  (2, '171.64.20.0/30', '171.64.20.2', '171.64.20.0');
insert into IPaddressSpace (network, prefix, highres, lowres)
                   values  (2, '171.64.21.0/30', '171.64.21.3', '171.64.21.0');
select * from IPaddressSpace where network=300;
select * from IPaddressSpace where network=2;
delete IPaddressSpace where id=125001153;
-- Change results in overlapping address spaces.
insert into IPaddressSpace (network, prefix, highres, lowres)
                   values  (300, '171.64.20.128/25', '171.64.20.244', '171.62.20.133');

-- Node_Admin

select * from node_admin where node=10063343;
delete node_admin where node=10063343;
update node_admin set node=3 where node=10063343;

-- AdminTeam_Owner

select * from adminteam_owner
 where adminteam=2;
delete adminteam_owner where adminteam=2;
update adminteam_owner set adminteam=3 where adminteam=2;

-- Domain_Owner

select * from domain_owner
 where domain=2;
delete domain_owner where domain=2;
update domain_owner set domain=3 where domain=100133586;

select * from network_owner
 where network=2;
delete network_owner where network=2;
update network_owner set network=8 where network=2;

select * from node_owner
 where node=3;
delete node_owner where node=3;
update node_owner set node=5 where node=3;

-- Users_Owner

select * from users
 where netid='riepel';
select * from users_owner
 where userid=8180;
 where userid=1990;
delete users_owner where userid=8180 and owner=2;
delete users_owner where userid=1990;
update users_owner set userid=8180 where userid=1990;
update users set active=0 where id=1990;
update users_owner set userid=8180 where userid=1990;
select * from users where id=8180;
delete users_owner where userid=8180;
update users set active=1 where id=8180;

-- LNA

select * from lna
 where lna=12894;
 where lna=1990;
delete lna where lna=1990;
update lna set lna=12894 where lna=1990;

select * from node_os
 where node=10063343;
delete node_os where node=10063343;
update node_os set node=17 where node=10063343;

-- Users

select * from Users where id=1990;
update Users set id=123 where id=1990;
update Users set id=1990 where id=1990;
update users set active=1,netid='jack' where id=1990;
update person set netid='riepel' where id=1990;

select * from person where id=2222;
select * from users where id=2222;
insert into users values (2222,'whatever',7,1,'171.064.20/24',1,1,1,NULL,NULL,
                          2222,2222,'27-JAN-93 04.23.09.000 PM','23-SEP-03 04.48.41.260 PM',NULL,NULL);
delete users where id=2222;

-- Domain

select * from Domain
 where id=18;
update domain set id=7 where id=8;
update domain set id=7 where id=7;
update domain set domain='foobar' where id=7;
insert into domain (ID,CREATED_BY,MODIFIED_BY,CREATED,MODIFIED,LIMITED)
  values (18,20186,20186,'19-FEB-98 05.04.52.000 PM','25-AUG-98 07.20.04.000 PM',0);
delete domain where id=18;
select * from name where domain=18;

-- IPaddress

update ipaddress set ipaddress_txt='foo' where ipaddress=ip.normalize('171.64.7.77');
insert into ipaddress ( IPADDRESS,  IPADDRESS_TXT, ACTIVE, IPADDRESSSPACE )
               values ( '36.53.0.53', '36.53.0.53',     1, NULL );
insert into ipaddress ( IPADDRESS, ACTIVE, IPADDRESSSPACE )
               values ( '36.53.0.53',   1, NULL );
insert into ipaddress ( IPADDRESS, ACTIVE, IPADDRESSSPACE )
               values ( '171.64.20.0',   1, NULL );
insert into ipaddress ( IPADDRESS, ACTIVE, IPADDRESSSPACE )
               values ( '171.64.20.255',   1, NULL );
select ipaddress_txt, ipaddressspace from ipaddress
 where ipaddress between ip.normalize('171.64.20') and ip.normalize('171.64.21');
insert into ipaddress ( IPADDRESS, ACTIVE, IPADDRESSSPACE )
               values ( '171.64.20.250',   1, NULL );
update ipaddress set ipaddressspace=221 where ipaddress = ip.normalize('171.64.20.250');
select * from ipaddressspace where address=ip.normalize('171.64.20');
update ipaddress set ipaddressspace=634 where ipaddress = ip.normalize('171.64.20.250');
delete ipaddress where ipaddress = ip.normalize('171.64.20.250');
insert into ipaddress ( IPADDRESS, ACTIVE, IPADDRESSSPACE )
               values ( '171.64.20.250',   1, 221 );
insert into ipaddress ( IPADDRESS, ACTIVE, IPADDRESSSPACE )
               values ( '171.64.20.250',   1, 634 );
update ipaddress set ipaddressspace=null where ipaddress = ip.normalize('171.64.20.250');

select * from node_nodetype where type like 'IPC%';
select * from IPaddress where IPCnode in (1381,1382);
update IPaddress set IPCnode=1382 where IPCnode=1381;

select interface, ipaddress_txt from IPaddress where interface < 20 order by interface;
update IPaddress set interface=3 where interface=5;

-- Log

desc log;
insert into log (id, person, action, recordtype, record_id, logdate) -- error
  values (10, 1990, 'modify', 'node', 127, current_timestamp(3));
insert into log (person, action, recordtype, recordtype_display, record_id, logdate) -- error
  values (1990, 'modify', 'node', 'foobar', 127, current_timestamp(3));
insert into log (person, action, recordtype, record_id, logdate)
  values (1990, 'modify', 'node', 127, current_timestamp(3));

select * from Log;
update Log set recordtype='foo', recordtype_display='bar' where ID=1;
update Log set recordtype='foo' where ID=1;
update Log set recordtype='adminteam' where ID=1;

insert into LogIPaddress (log_id, ipaddress, ipaddress_txt) -- error
  values (1, '171.64.20.42', '171.64.20.42');
insert into LogIPaddress (log_id, ipaddress)
  values (1, '171.64.20.42');
select * from logipaddress;
update LogIPaddress set ipaddress='36.53.0.53' where log_id=1;
update LogIPaddress set ipaddress_txt='36.53.0.53' where log_id=1; --error
delete from Log where id=1;

-- Name

desc Name;
select max(id) from name;
select * from nametype;
insert into name ( ID, NAME, DOMAIN, FULLNAME, FULLNAME_LC, LABEL, DNSLABEL )
  values ( 1101411888, 'FooBarF', 8, 'foobarF.stanford.ORG', 'foobarf.stanford.org', 'Node', 'A' );
insert into name ( ID, NAME, DOMAIN, FULLNAME_LC, LABEL, DNSLABEL )
  values ( 1101411888, 'FooBarF', 8, 'foobarf.stanford.org', 'Node', 'A' );
insert into name ( ID, NAME, DOMAIN, LABEL, DNSLABEL, RELATED_NODE )
  values ( 1101411888, 'FooBarF', 8, 'Node', 'A', 3 );
insert into name ( ID, NAME, DOMAIN, LABEL, DNSLABEL )
  values ( 1101411888, 'FooBarF', 8, 'Node', 'A' );
insert into name ( NAME, DOMAIN, LABEL, DNSLABEL ) values ( 'FooBarF', 8, 'Node', 'A' );
select * from name where lower(name)='foobarf';
update name set domain=7 where lower(name)='foobarf';
update name set name='fOObARf' where name='FooBarF';
update name set label='Domain', dnslabel='SOA' where lower(name)='foobarf';

select substr(name,1,10) as name, aliasee, related_node from name where lower(name)='za';
select netdb_name.related_node(110579) from dual;
update name set related_node=3 where lower(name)='za';
update name set aliasee=110579 where lower(name)='za';

select * from name where lower(name)='foobarf';
update name set name='slingwoof' where lower(name)='foobarf';
update name set name='FOOBARF' where lower(name)='foobarf';
delete name where lower(name)='foobarf';

insert into name ( NAME, DOMAIN, LABEL, DNSLABEL, INTERFACE ) values ( 'FooBarF', 9, 'Node', 'A', 20 );
insert into name ( NAME, DOMAIN, LABEL, DNSLABEL ) values ( 'FooBarF', 8, 'Node', 'A' );
update name set node=59297 where lower(name)='foobarf' and domain=8;
select * from name where lower(name)='foobarf';
delete name where lower(name)='foobarf';

-- MXrecord after delete trigger tests

select count(*) from name;
select * from Name where name='networking'; -- and dnslabel='MX';
select * from MXrecord where received_by=61617;
delete name where id=61639;  -- cascade deny is the right answer here
select * from name where aliasee=61617;
delete name where id=61617;
select * from name where id in (select sent_to from MXrecord where received_by=61617);
select * from name where id in
  (11630, 61630, 61631, 61632, 61633,    61634,   61636,
   61637, 61638, 61639, 61641, 76666, 15137923, 70112356);
select * from mxrecord where sent_to in
  (11630, 61630, 61631, 61632, 61633,    61634,   61636,
   61637, 61638, 61639, 61641, 76666, 15137923, 70112356);
select * from name where id in (76666, 76663);
select * from mxrecord where sent_to in (11630, 76666);
delete mxrecord where sent_to=76666;

select * from name where lower(name)='cs';
select * from Mxrecord where sent_to=17917;
delete from name where id=17917;

select * from name where lower(name)='gsb';
select * from MXrecord where sent_to=100132511;
delete from MXrecord where sent_to=100132511;

-- Name table triggers maintaining fullname and fullname_lc
select * from name where domain=(select id from name where fullname_lc='nips.org');
select * from name where fullname_lc='nips.org';

update name set name='Nips' where fullname_lc='nips.org';
update name set name='nips' where fullname_lc='nips.org';

select fullname from name where fullname_lc like '%.stanford.edu'
  and fullname not like '%.Stanford.EDU';

select fullname from name where fullname_lc like '%.sub.stanford.edu';

update name set name='SUB' if fullname_lc='sub.stanford.edu'
  and name='sUb' if fullname_lc='sub.sub.stanford.edu' where fullname_lc like '%.sub.stanford.edu'
  and dnslabel='SOA';

select count(*) from name where fullname_lc like '%.stanford.edu'
  and fullname not like '%.Stanford.EDU';

select count(*) from name where fullname_lc like '%.edu'
  and fullname not like '%.EDU';

select fullname, domain.domain from name, domain
 where name.id=domain.id and fullname != domain.domain;

select * from domain;
select * from name where length(fullname) < 5;
select * from name where lower(name)='com';
select netdb_name.fullname(2) from dual;

select fullname from name where fullname_lc like 'pine%edu';
update name set name = 'Stanford' where fullname_lc in ('stanford.edu');
update name set name = upper(name) where fullname_lc in ('stanford.edu', 'edu');
select * from name where fullname_lc in ('stanford.edu', 'edu');
update name set fullname=fullname;

select * from name where domain=7 and dnslabel='SOA';
select * from name where fullname_lc like 'sub.%' and dnslabel='SOA';

select * from name where fullname_lc like 'stanford.edu';
update name set name='Stanford' where fullname_lc like 'stanford.edu';
update name set name='sub' where fullname_lc='sub.stanford.edu';

-- -- cascade update triggers -- --

-- DHCPapplication

select distinct label from DHCPoption_application;
update DHCPapplication set label='nitwit'  where label='network';
update DHCPapplication set label='network' where label='nitwit';

-- InterfaceType
desc Interfacetype;
select distinct type from Interface;
update interfacetype set type='ISO 1293 Duckfart' where type='Ethernet';
update interfacetype set type='Ethernet' where type='ISO 1293 Duckfart';
update interfacetype set type='ethernet' where type='Ethernet';
update interfacetype set type='Ethernet' where type='ethernet';
update interfacetype set type='Ethernet' where type='Ethernet';

-- Make

select distinct make from Model where make like '3%' or make like '4%';
update make set make='4Com' where make='3Com';
update make set make='3Com' where make='4Com';

-- ModelType

select distinct modeltype from Model order by modeltype;
update modeltype set modeltype='duh' where modeltype='Mac';
update modeltype set modeltype='Mac' where modeltype='duh';

-- NodeType

select distinct type from Node_NodeType order by type;
update nodetype set type='Sitting Duck' where type='Router';
update nodetype set type='Router' where type='Sitting Duck';
update nodetype set type='Router' where type='Router';

-- OS

select distinct os from Node_OS order by os;
update OS set os='BSD OS' where os='FreeBSD';
update OS set os='FreeBSD' where os='BSD OS';
update OS set os='FreeBSD' where os='FreeBSD';

-- Service

select * from service order by service;
select distinct service from Node_Service order by service;
update service set service='Mail' where service='SMTP';
update service set service='SMTP' where service='Mail';

-- State

select count(*), state from Node group by state order by count(*);
update state set state='Blue' where state='Good';
update state set state='Good' where state='Blue';
update state set state='Good' where state='Good';

-- end of triggers.sql
