-- FS_AddressSpaceOwnerInfo.sql --- view for network full search

create or replace view FS_AddressSpaceOwnerInfo as
    select IPaddressSpace.network    id,
           null                      IPaddress_txt,
           null                      location,
           null                      ip_active,
           null                      ip_name,
           null                      ip_domain,
           null                      ip_as_prefix,
           IPaddressSpace.prefix_txt as_prefix,
           null                      as_dhcp_option,
           null                      net_dhcp_option,
           null                      comments,
           null                      as_comments,
           null                      lowres,
           null                      highres,
           Owner.label               as_owner,
           null                      name_id,
           null                      net_name,
           null                      net_domain,
           null                      dhcp_service,
           null                      owner,
           null                      mod_by_netid,
           null                      mod_by_name,
           null                      modified,
           null                      created_by_netid,
           null                      created_by_name,
           null                      created
      from IPaddressSpace_Owner
      join IPaddressSpace on IPaddressSpace.id          = IPaddressSpace_Owner.IPaddressSpace
      join Owner          on IPaddressSpace_Owner.owner = Owner.id;

grant select on FS_AddressSpaceOwnerInfo to netdb_view;
