-- FS_Log.sql --- view for log search

create or replace view FS_Log as
    select Log.id,                   Log.logdate,
           Log.record_id,            Log.recordtype,
           Log.recordtype_display,   Log.action,
           Person.netid,             Person.name,
           LogName.name record_name, LogIPaddress.IPaddress,
           LogIPaddress.IPaddress_txt,
           Log.state
      from Log
      join Person            on Log.person = Person.id
      left join LogName      on Log.id     = LogName.log_id
      left join LogIPaddress on Log.id     = LogIPaddress.log_id;

grant select on FS_Log to netdb_view;
