-- FS_NodeMX.sql --- view for node full search

create or replace view FS_NodeMX as
    select host_name.related_node id, mx_name.fullname_lc
      from Name mx_name
      join MXrecord       on   mx_name.id = MXrecord.sent_to
      join Name host_name on host_name.id = MXrecord.received_by
     where host_name.related_node is not null;

grant select on FS_NodeMX to netdb_view;
