/************************************************************************
 *
 * AddrSpaceDeleteCommand.java - db call NetDB_IPaddressSpace.master 'delete'
 *
 * $Id: AddrSpaceDeleteCommand.java,v 1.1.1.1 2006/06/30 23:38:08 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import stanford.netdb.lib.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/* db call NetDB_IPaddressSpace.master 'delete' */
class AddrSpaceDeleteCommand extends AddrSpaceCommand {

    public AddrSpaceDeleteCommand(stanford.netdb.utils.Logger logger, String asPrefix,
                                  Timestamp lock, Integer op_uid) {
        super(logger);

        db_call_type = ORA_FUN_IGNORE_RET_CALL;

        values[ACTION_INDEX]     = "delete";
        values[ID_OP_USER_INDEX] = op_uid;
        values[PREFIX_INDEX]     = asPrefix;
        values[LOCKED_INDEX]     = values[NET_LOCK_INDEX] = lock;
    }
}
