/************************************************************************
 *
 * AddrSpaceListCommand.java - db call NetDB_IPaddressSpace.master 'list'
 *
 * $Id: AddrSpaceListCommand.java,v 1.1.1.1 2006/06/30 23:38:08 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.util.*;
import java.sql.*;

/** db call NetDB_IPaddressSpace.master 'list' */
class AddrSpaceListCommand extends AddrSpaceCommand {

    public AddrSpaceListCommand(stanford.netdb.utils.Logger logger, Integer op_uid) {
        super(logger);
        values[ACTION_INDEX]     = "list";
        values[ID_OP_USER_INDEX] = o2n(op_uid, Types.NUMERIC);
    }
}
