/************************************************************************
 *
 * AddressSpaceValidateCommand.java - db call NetDB_IPaddressSpace.validate_split
 *
 * $Id: AddressSpaceValidateCommand.java,v 1.1.1.1 2006/06/30 23:38:08 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.sql.*;

/** db NetDB_IPaddressSpace.validate_split call  */
class AddressSpaceValidateCommand extends DBCall {

    public static final int AS_PREFIX_INDEX = 0; // p_prefix

    public AddressSpaceValidateCommand(stanford.netdb.utils.Logger logger,  String asPrefix) {
        super(logger);
        db_call_type            = ORA_PROC_CALL;
        values                  = new Object[1];
        values[AS_PREFIX_INDEX] = asPrefix;
    }

    public String getSQL() {
        return proc_call_sql("NetDB_IPaddressSpace.validate_split");
    }
}
