/************************************************************************
 *
 * DepartmentDeleteCommand.java - db call NetDB_Organization.master 'delete'
 *
 * $Id: DepartmentDeleteCommand.java,v 1.1.1.1 2006/06/30 23:38:08 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;

/** db call NetDB_Organization.master 'delete' */
class DepartmentDeleteCommand extends DepartmentCommand {

    public DepartmentDeleteCommand(stanford.netdb.utils.Logger logger,
                                   Integer id, Integer op_uid)
    {
        super(logger);
        db_call_type                = ORA_FUN_IGNORE_RET_CALL;
        values[ACTION_INDEX]        = "delete";
        values[ID_OP_USER_INDEX]    = op_uid;
        values[DEPARTMENT_ID_INDEX] = id;
    }
}
