/************************************************************************
 *
 * DepartmentInfoCommand.java - db call NetDB_Organization.master 'info'
 *
 * $Id: DepartmentInfoCommand.java,v 1.1.1.1 2006/06/30 23:38:08 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** db call NetDB_Organization.master 'info' */
class DepartmentInfoCommand extends DepartmentCommand {

    public DepartmentInfoCommand(stanford.netdb.utils.Logger logger, String handle, Integer id) {
        super(logger);
        values[ACTION_INDEX] = "info";
        if( handle != null )
            values[DEPARTMENT_NAME_INDEX] = handle;
        if( id != null )
            values[DEPARTMENT_ID_INDEX] = id;
    }
}
