/************************************************************************
 *
 * DomainInfoCommand.java - db call NetDB_Domain.master('info', ...)
 *
 * $Id: DomainInfoCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** db call NetDB_Domain.master('info', ...) */
class DomainInfoCommand extends DomainCommand {

    public DomainInfoCommand(stanford.netdb.utils.Logger logger, String fqdn, Integer idDomain) {
        super(logger);
        db_call_type = ORA_FUN_CALL;

        values[ACTION_INDEX]    = "info";
        values[NAME_INDEX]      = o2v(fqdn);
        values[ID_INDEX]        = o2n(idDomain, Types.NUMERIC);
    }
}
