/************************************************************************
 *
 * DomainListCommand.java - db call NetDB_Domain.master 'list'
 *
 * $Id: DomainListCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2004, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** db call NetDB_Domain.master 'list' */
class DomainListCommand extends DomainCommand {

    public DomainListCommand(stanford.netdb.utils.Logger logger, Integer op_uid) {
        super(logger);
        db_call_type = ORA_FUN_CALL;

        values[ACTION_INDEX]            = "list";
        values[ID_OP_USER_INDEX]        = op_uid;
    }
}
