/************************************************************************
 *
 * GroupDeleteCommand.java - call to pOwner('delete', ...)
 *
 * $Id: GroupDeleteCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, 2002 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.sql.*;

/** db call pOwner 'delete' */
class GroupDeleteCommand extends GroupCommand {

    public GroupDeleteCommand(stanford.netdb.utils.Logger logger, String label,
                              Integer idGroup, Timestamp lockTm, Integer op_uid)
    {
        super(logger);
        values[0]               = ref_cursor;
        values[ACTION_INDEX]    = "delete";
        values[OP_USER_INDEX]   = op_uid;
        values[NAME_INDEX]      = o2v(label);
        values[OWNER_ID_INDEX]  = o2n(idGroup, Types.NUMERIC);
        values[LOCKED_INDEX]    = lockTm;
    }
}
