/************************************************************************
 *
 * GroupInfoCommand.java - call to pGroup('infonew', ...)
 *
 * $Id: GroupInfoCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** db call pGroup 'infonew' */
class GroupInfoCommand extends GroupCommand {

    public GroupInfoCommand(stanford.netdb.utils.Logger logger, String label, Integer idGroup) {
        super(logger);
        db_call_type            = ORA_FUN_CALL;

        values[0]               = ref_cursor;
        values[ACTION_INDEX]    = "info";
        values[NAME_INDEX]      = o2v(label);
        values[OWNER_ID_INDEX]  = o2n(idGroup, Types.NUMERIC);
    }
}
