/************************************************************************
 *
 * IPAddressDeleteCommand.java - db call NetDB_IPaddress.master 'delete'
 *
 * $Id: IPAddressDeleteCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.sql.*;

/* db call NetDB_IPaddress.master 'delete' */
class IPAddressDeleteCommand extends IPAddressCommand {

    public IPAddressDeleteCommand(stanford.netdb.utils.Logger logger, Timestamp lock,
                                  String ip, Integer op_uid) {
        super(logger);
        db_call_type              = ORA_FUN_IGNORE_RET_CALL;
        values[ACTION_INDEX]      = DELETE_ACTION;
        values[ID_OP_USER_INDEX]  = op_uid;
        values[LOCK_INDEX]        = lock;
        values[ADDRESS_STR_INDEX] = ip;
    }
}
