/************************************************************************
 *
 * InternalException.java - exception which should never occur, if it
 *       does get thrown then it indicates a bug.
 *
 * $Id: InternalException.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;

/**
 * If you ever caught this exception it means you found a bug.
 */
public class InternalException extends Exception {
    public InternalException(String msg) {
        super("internal error: "+msg);
    }

    public InternalException() {
        super("internal error:");
    }
}
