/************************************************************************
 *
 * LocationDeleteCommand.java - db call NetDB_Location.master 'delete'
 *
 * $Id: LocationDeleteCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.util.*;

/** NetDB_Location.master 'delete' */
class LocationDeleteCommand extends LocationCommand {

    public LocationDeleteCommand(stanford.netdb.utils.Logger logger,
                                 Hashtable location, Integer op_uid) {
        super(logger);
        db_call_type = ORA_FUN_IGNORE_RET_CALL;

        values[ACTION_INDEX]    = "delete";
        values[OP_USER_INDEX]   = op_uid;
        values[NAME_INDEX]      = location.get("location");
    }
}
