/************************************************************************
 *
 * LocationListCommand.java - NetDB_Location.master 'list'
 *
 * $Id: LocationListCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.util.*;
import java.sql.*;

/** NetDB_Location.master 'list' */
class LocationListCommand extends LocationCommand {

    public LocationListCommand(stanford.netdb.utils.Logger logger, String filter) {
        super(logger);
        values[ACTION_INDEX] = "list";
        if( filter != null )
            values[NAME_INDEX] = filter;
    }
}
