/************************************************************************
 *
 * ModelDeleteCommand.java - db call NetDB_Model.master 'delete'
 *
 * $Id: ModelDeleteCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;

/** db call NetDB_Model.master 'delete' */
class ModelDeleteCommand extends ModelCommand {

    public ModelDeleteCommand(stanford.netdb.utils.Logger logger, Integer id,
                              Integer op_uid)
    {
        super(logger);
        values[ACTION_INDEX]     = "delete";
        values[ID_OP_USER_INDEX] = op_uid;
        values[MODEL_ID_INDEX]   = id;
    }
}
