/************************************************************************
 *
 * ModelInsertCommand.java - db call NetDB_Model.master 'insert'
 *
 * $Id: ModelInsertCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;

/** db call NetDB_Model.master 'insert' */
class ModelInsertCommand extends ModelCommand {

    public ModelInsertCommand(stanford.netdb.utils.Logger logger, Hashtable model, Integer op_uid) {
        super(logger);
        values[ACTION_INDEX]     = "insert";
        values[ID_OP_USER_INDEX] = op_uid;
        values[MAKE_INDEX]       = model.get("make");
        values[MODEL_NAME_INDEX] = model.get("model");
        String type = ((String)Utils.n2s(model.get("type"))).trim();
        if( type.length() > 0 ) values[MODEL_TYPE_INDEX] = type;
    }
}
