/************************************************************************
 *
 * NodeDeleteCommand.java - NetDB_Node.master 'delete', ...
 *
 * $Id: NodeDeleteCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.sql.*;

/** NetDB_Node.master 'delete', ... */
class NodeDeleteCommand extends NodeCommand {

    public NodeDeleteCommand(stanford.netdb.utils.Logger logger,
                             Integer idNode, Timestamp tm, Integer op_uid) {
        super(logger);
        db_call_type          = ORA_FUN_IGNORE_RET_CALL;
        values[ACTION_INDEX]  = "delete";
        values[OP_USER_INDEX] = op_uid;
        values[ID_NODE_INDEX] = idNode;
        values[LOCKED_INDEX]  = tm;
    }
}
