/************************************************************************
 *
 * OSListCommand.java - db call NetDB_OS.master 'list'
 *
 * $Id: OSListCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.util.*;
import java.sql.*;

/** db call NetDB_OS.master 'list' */
class OSListCommand extends OSCommand {

    public OSListCommand(stanford.netdb.utils.Logger logger, String filter) {
        super(logger);
        values[ACTION_INDEX]  = "list";
        values[OS_NAME_INDEX] = o2v(filter);
    }
}
