/************************************************************************
 *
 * RecordsListCommand.java - db call NetDB_Access.list_access_groups
 *
 * $Id: RecordsListCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.util.*;
import java.lang.*;
import java.sql.*;

/** db call NetDB_Access.list_access_groups */
class RecordsListCommand extends DBCall {

    public RecordsListCommand(stanford.netdb.utils.Logger logger) {
        super(logger);
        values = new Object[2];
        values[0] = ref_cursor;
        values[1] = "list";
    }

    public String getSQL() {
        return proc_call_sql("NetDB_Access.master");
    }
}
