/************************************************************************
 *
 * UpdateLastLoginCommand.java - db call NetDB_User.update_last_login
 *
 * $Id: UpdateLastLoginCommand.java,v 1.1.1.1 2006/06/30 23:38:10 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2004, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.sql.*;

/** db call NetDB_User.update_last_login */
public class UpdateLastLoginCommand extends DBCall {

    public static final int UID_INDEX = 0;  // p_user_id

    public UpdateLastLoginCommand(stanford.netdb.utils.Logger logger,
                  Integer uid)
    {
        super(logger);
        values = new Object[1];
        values[UID_INDEX] = uid;
    }

    public String getSQL() {
        return "{call NetDB_User.update_last_login (?) }";
    }
}
