/************************************************************************
 *
 * UserInfoCommand.java - db call pUser('info')
 *
 * $Id: UserInfoCommand.java,v 1.1.1.1 2006/06/30 23:38:10 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** db call pUser 'info' */
class UserInfoCommand extends UserCommand {

    public UserInfoCommand(stanford.netdb.utils.Logger logger, String netID, Integer idUser){
        super(logger);
        db_call_type = ORA_FUN_CALL;

        values[ACTION_INDEX] = "info";
        values[NET_ID_INDEX] = o2v(netID);;
        values[ID_INDEX]     = o2n(idUser, Types.NUMERIC);
    }
}
