/************************************************************************
 *
 * UserLoginCommand.java - db call NetDB_User.master('login')
 *
 * $Id: UserLoginCommand.java,v 1.1.1.1 2006/06/30 23:38:10 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2005, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** db call NetDB_User.master 'login' */
class UserLoginCommand extends UserInfoCommand {

    public UserLoginCommand(stanford.netdb.utils.Logger logger, String netID){
        super(logger, netID, null);
        db_call_type         = ORA_FUN_CALL;
        values[ACTION_INDEX] = "login";
    }
}
