/************************************************************************
 *
 * RemoteNetDBException.java -
 *
 * $Id: RemoteNetDBException.java,v 1.1.1.1 2006/06/30 23:38:10 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.utils;

import java.lang.*;
import java.util.*;
import java.rmi.*;

public class RemoteNetDBException extends RemoteException {

    private NetDBException ex = null;

    public RemoteNetDBException(NetDBException ex) {
        super(ex.getMessage());
        this.ex = ex;
    }

    public Vector getMessages() {
        return ex.getMessages();
    }
}
