/************************************************************************
 *
 * NotImplemented.java -
 *
 * $Id: NotImplemented.java,v 1.1.1.1 2006/06/30 23:38:11 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2003, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.html;

import java.io.*;
import java.net.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class NotImplemented extends CommonPage
{
    public void doPost(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException
    {
        HttpSession session = begin(request, response, null);
        if( session == null )
            return;

        session.setAttribute("Error.errorMsg",
                             "Error: This feature is not implemeted yet.");
        response.sendRedirect(URLDecoder.decode(request.getParameter("fromPage"),
                                                "UTF-8"));
    }

    public void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException
    {
        HttpSession session = begin(request, response, null);
        if( session == null )
            return;

        session.setAttribute("Error.errorMsg",
                             "Error: This feature is not implemeted yet.");
        response.sendRedirect(URLDecoder.decode(request.getParameter("fromPage"),
                                                "UTF-8"));
    }
}
