<tests>
location_test1
location_test2
location_test3
location_test4
</tests>

<location_test1>
<msg>
Location -- set should fail as no room number is given
</msg>

<cmd>
$NETDB node loc --set "Not Found" $MACS
</cmd>

<obj>
mac-spacely.Spacely-Sprockets.COM
</obj>

<diff>
</diff>
</location_test1>

<location_test2>
<msg>
Location -- set
</msg>

<cmd>
$NETDB node loc --set "Not Found:nowhere" $MACS
</cmd>

<obj>
mac-spacely.Spacely-Sprockets.COM
</obj>

<diff>
*** mac-spacely.Spacely-Sprockets.COM.orig
--- mac-spacely.Spacely-Sprockets.COM
***************
*** 7,12 ****
         op-sys: MacOS
     department: Gears, Cogs, and Sprockets
!      location: Off Campus (00-002)
!          room: 1
     interfaces:
       1) hw-addr: ffff.ee0e.dd0d  dhcp  roam
--- 7,12 ----
         op-sys: MacOS
     department: Gears, Cogs, and Sprockets
!      location: Not Found (00-000)
!          room: nowhere
     interfaces:
       1) hw-addr: ffff.ee0e.dd0d  dhcp  roam
</diff>
</location_test2>

<location_test3>
<msg>
Location -- set to original location
</msg>

<cmd>
$NETDB node loc --set "Off Campus:1" $MACS
</cmd>

<obj>
mac-spacely.Spacely-Sprockets.COM
</obj>

<diff>
</diff>
</location_test3>

<location_test4>
<msg>
Location -- set should fail as not such location exist
</msg>

<cmd>
$NETDB node loc --set "Fake Location:room" $MACS
</cmd>

<obj>
mac-spacely.Spacely-Sprockets.COM
</obj>

<diff>
</diff>
</location_test4>
