-- NetDB_OS.sql --- contains functions related to OS table

create or replace package NetDB_OS as

    function verify_or_die (p_os in varchar) return varchar;

    function master ( p_action      in varchar,
                      p_op_uid      in int     := null,
                      p_os          in varchar := null,
                      p_os_new      in varchar := null,
                      p_description in varchar := null ) return NetDB.ref_cursor;

end NetDB_OS;
/

grant execute on NetDB_OS to netdb_execute;
