-- NetDB_Person.sql --- contains functions which deal with person

create or replace package NetDB_Person as

    function name (p_person_id in int) return varchar;

    function verify_or_die ( p_person_id in int     := null,
                             p_handle    in varchar := null ) return int;

    function master ( p_action        in varchar,
                      p_op_uid        in int     := null,
                      p_person_id     in int     := null,
                      p_person_regid  in varchar := null,
                      p_name          in varchar := null,
                      p_netid         in varchar := null,
                      p_email         in varchar := null,
                      p_phone         in varchar := null,
                      p_active        in int     := null,
                      p_lastname      in varchar := null,
                      p_directoryid   in varchar := null ) return NetDB.ref_cursor;

end NetDB_Person;
/

grant execute on NetDB_Person to netdb_execute;
