#######################################################################
#
# NetDB_access.pm - NetDB access information [ and read_file() ]
#
#----------------------------------------------------------------------
# Copyright (c) 2007 Board of Trustees, Leland Stanford Jr. University
#######################################################################

$::ENV{'ORACLE_HOME'} ||=  (getpwnam('oracle'))[7] || '/opt/oracle/client/current';

sub netdb_server   { return 'netdb';        }
sub netdb_user     { return 'netdb_guest';  }
sub netdb_database { return 'netdb';        }
sub netdb_password { return 'RUkidding?!';  }

sub read_file {    # return the contents of a file with substitutions

    my ($file, @rest) = @_;
    my ($contents, $name, $value);

    local($/,*IN) = undef;
    open(IN,$file) or die "$file: $!";
    $contents = <IN>;
    close(IN);

    while ($name = shift(@rest)) {
        $value = shift(@rest);
        $contents =~ s/\$$name/$value/g;
    }
    return $contents;
}

1;
