-- bind-cname.sql --- sql to generate DNS cname records from NetDB

-- aliases

select Alias.name, 'CNAME',
       Name.name, lower(Domain.domain), Domain.domain
  from Name Alias, Name Name, Domain
 where Alias.aliasee = Name.id
   and Alias.domain = (select id from Domain where lower(domain) = '$domain')
   and Name.domain = Domain.id;

