-- IPaddressSpace_DHCPoptions.sql --- IP subnet DHCP options

create table IPaddressSpace_DHCPoptions
(
    IPaddressSpace  int           NOT NULL references IPaddressSpace on delete cascade,
    DHCPoption      int           NOT NULL references DHCPoption,
    value           varchar(256)  NOT NULL,
    PRIMARY KEY (IPaddressSpace, DHCPoption)
);

create index ias_dhcpopt_ias_idx on IPaddressSpace_DHCPoptions (IPaddressSpace);

grant select on IPaddressSpace_DHCPoptions to netdb_select;

