-- Interface_DHCPoptions.sql --- node interface DHCP options

create table Interface_DHCPoptions
(
    interface   int           NOT NULL references Interface on delete cascade,
    DHCPoption  int           NOT NULL references DHCPoption,
    value       varchar(256)  NOT NULL,
    PRIMARY KEY (interface, DHCPoption)
);

create index interface_dhcpopt_inface_idx on Interface_DHCPoptions (interface);
create index interface_dhcpopt_option_idx on Interface_DHCPoptions (DHCPoption);

grant select on Interface_DHCPoptions to netdb_select;

