-- Location.sql --- locations, mostly buildings

create table Location
(
    id     int          PRIMARY KEY,
    name   varchar(64)  NOT NULL,
    site   varchar(16)  NOT NULL,
    code   varchar(16)  NOT NULL
);

create sequence location_id_seq nocache;

create unique index location_name_idx      on Location (lower(name));
create unique index location_site_code_idx on Location (lower(site),lower(code));

grant select on Location to netdb_select;

