-- LogName.sql --- name of records in the log

create table LogName
(
    log_id  int           NOT NULL references Log on delete cascade,
    name    varchar(256)  NOT NULL
);

create index logname_id_idx      on LogName (log_id);
create index logname_name_lc_idx on LogName (lower(name));

grant select on LogName to netdb_select;
