-- Network_DHCPoptions.sql --- network DHCP options

create table Network_DHCPoptions
(
    network     int           NOT NULL references Network on delete cascade,
    DHCPoption  int           NOT NULL references DHCPoption,
    value       varchar(256)  NOT NULL,
    PRIMARY KEY (network, DHCPoption)
);

create index network_dhcpopt_network_idx on Network_DHCPoptions (network);

grant select on Network_DHCPoptions to netdb_select;

