-- Node_OS.sql --- operating systems of specific nodes

create table Node_OS
(
    node    int         NOT NULL references Node on delete cascade,
    os      varchar(32) NOT NULL references OS,
    version varchar(32),
    PRIMARY KEY (node, os)
);

create index node_os_node_idx  on Node_OS (node);
create index node_os_os_idx    on Node_OS (os);
create index node_os_lc_os_idx on Node_OS (lower(os));

grant select on Node_OS to netdb_select;

