-- Node_User.sql --- people that use a node

create table Node_User
(
    node    int  NOT NULL references Node on delete cascade,
    person  int  NOT NULL references Person,
    PRIMARY KEY  (node, person)
);

create index node_user_node_idx on Node_User (node);
create index node_user_user_idx on Node_User (person);

grant select on Node_User to netdb_select;

