-- MXrecord_b_iu_r.sql --- MXrecord table before insert or update trigger

create or replace trigger MXrecord_b_iu_r
  before insert or update on MXrecord
  for each row
declare
    name_row Name%ROWTYPE;
begin
    select * into name_row from Name where id = :NEW.received_by;

    if (name_row.dnslabel != 'A') then
        raise_application_error (NetDB.ex_bad_MX_name,
            'MX''s cannot point to names of type "' || lower (name_row.label) || '".');
    end if;
end;
/
