-- Make_a_u_r.sql --- Make table after update trigger

create or replace trigger Make_a_u_r
  after update of make on Make
  for each row when (NEW.make != OLD.make)
begin
    -- cascade update the new make to the Model table
    update Model set make=:NEW.make where make=:OLD.make;
end;
/

