-- FS_NetworkIPaddresses.sql --- view for network full search

create or replace view FS_NetworkIPaddresses as
    select IPaddressSpace.network id, Name.name,
           Name.domain,               Name.fullname,
           Name.fullname_lc,          IPaddressSpace.prefix_txt,
           IPAddress.IPaddress,       IPaddress.IPaddress_txt,
           IPaddress.active
      from Name
      join IPAddress      on IPAddress.id      = Name.IPaddress
      join IPaddressSpace on IPaddressSpace.id = IPAddress.IPaddressSpace
      where Name.IPAddress is not null;

grant select on FS_NetworkIPaddresses to netdb_view;
