-- FS_Owner.sql --- view for full search for ownership groups.

create or replace view FS_Owner as
    select Owner.id,                  label owner,             description comments,
           mp.netid mod_by_netid,     mp.name mod_by_name,     Owner.modified modified,
           cp.netid created_by_netid, cp.name created_by_name, Owner.created created
    from Owner
    join Person cp on cp.id = Owner.created_by
    join Person mp on mp.id = Owner.modified_by;

grant select on FS_Owner to netdb_view;
