/************************************************************************
 *
 * ATeamDeleteCommand.java - call to NetDB_AdminTeam.master 'delete', ...
 *
 * $Id: ATeamDeleteCommand.java,v 1.1.1.1 2006/06/30 23:38:08 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.sql.*;

/** call to NetDB_AdminTeam.master 'delete' */
class ATeamDeleteCommand extends ATeamCommand {

    public ATeamDeleteCommand(stanford.netdb.utils.Logger logger, String label,
                              Integer idATeam, Timestamp lockTm, Integer op_uid)
    {
        super(logger);
        values[ACTION_INDEX]            = "delete";
        values[ID_OP_USER_INDEX]        = op_uid;
        values[NAME_INDEX]              = o2v(label);
        values[ATEAM_ID_INDEX]          = o2n(idATeam, Types.NUMERIC);
        values[LOCKED_INDEX]            = lockTm;
    }
}
