/************************************************************************
 *
 * ATeamInfoCommand.java -
 *
 * $Id: ATeamInfoCommand.java,v 1.1.1.1 2006/06/30 23:38:08 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

class ATeamInfoCommand extends ATeamCommand {

    public ATeamInfoCommand(stanford.netdb.utils.Logger logger, String label, Integer idATeam) {
        super(logger);
        db_call_type = ORA_FUN_CALL;
        values[ACTION_INDEX]    = "info";
        values[NAME_INDEX]      = o2v(label);
        values[ATEAM_ID_INDEX]  = o2n(idATeam, Types.NUMERIC);
    }

} // end of class ATeamInfo
