/************************************************************************
 *
 * ComplexDBCall.java - interface for calls which actually perform
 *                      several db calls under the hood
 *
 * $Id: ComplexDBCall.java,v 1.1.1.1 2006/06/30 23:38:08 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;

/**
 * interface for calls which actually perform several
 * db calls under the hood
 */
interface ComplexDBCall {
    public abstract Hashtable doIt(NetDBConnection con)
        throws NetDBException, Exception;
}
