/************************************************************************
 *
 * DepartmentsListCommand.java - NetDB_Organization.master 'list'
 *
 * $Id: DepartmentsListCommand.java,v 1.1.1.1 2006/06/30 23:38:08 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** db call NetDB_Organization.master 'list' */
class DepartmentsListCommand extends DepartmentCommand {

    public DepartmentsListCommand(stanford.netdb.utils.Logger logger, String filter) {
        super(logger);
        values[ACTION_INDEX] = "list";
        if( filter != null && filter.trim().length() > 0 )
            values[DEPARTMENT_NAME_INDEX] = filter;
    }
}
