/************************************************************************
 *
 * DomainDeleteCommand.java - call pDomain('delete', ...)
 *
 * $Id: DomainDeleteCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.sql.*;

/** db call pDomain 'delete' */
class DomainDeleteCommand extends DomainCommand {

    public DomainDeleteCommand(stanford.netdb.utils.Logger logger, String fqdn,
                               Integer idDomain, Timestamp lockTm, Integer op_uid)
    {
        super(logger);
        values[ACTION_INDEX]            = "delete";
        values[ID_OP_USER_INDEX]        = op_uid;
        values[NAME_INDEX]              = o2v(fqdn);
        values[ID_INDEX]                = o2n(idDomain, Types.NUMERIC);
        values[LOCKED_INDEX]            = lockTm;
    }
}
