/************************************************************************
 *
 * DomainSimpleSearchCommand.java - intefrace to NetDB_SS.get_domains proc.
 *
 * $Id: DomainSimpleSearchCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.util.*;
import java.lang.*;

/** intefrace to NetDB_SS.get_domains db call. */
class DomainSimpleSearchCommand extends SimpleSearchCommand {

    public DomainSimpleSearchCommand(stanford.netdb.utils.Logger logger) {
        super(logger);
        values = new Object[2];
        values[0] = ref_cursor;
        values[1] = "%";
    }

    public String getSQL() {
        return proc_call_sql("NetDB_SS.get_domains");
    }

    public void setParam(int index, Object value) {
        if( value != null && index == SEARCH_VALUE_LOW_INDEX )
            values[1] = value;
    }
}
