/************************************************************************
 *
 * GroupSimpleSearchCommand.java - inteface to NetDB_SS.get_groups db call.
 *
 * $Id: GroupSimpleSearchCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.util.*;
import java.lang.*;

/** inteface to NetDB_SS.get_groups db call */
class GroupSimpleSearchCommand extends SimpleSearchCommand {

    public GroupSimpleSearchCommand(stanford.netdb.utils.Logger logger) {
        super(logger);
        values = new Object[2];
        values[0] = ref_cursor;
        values[1] = "%";
    }

    public String getSQL() {
        return proc_call_sql("NetDB_SS.get_groups");
    }

    public void setParam(int index, Object value) {
        if( value != null && index == SEARCH_VALUE_LOW_INDEX )
            values[1] = value;
    }
}
