/************************************************************************
 *
 * InterfaceDeleteCommand.java - db call NetDB_Interface.master 'delete'
 *
 * $Id: InterfaceDeleteCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2003, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.sql.*;

/** db call NetDB_Interface.master 'delete' */
class InterfaceDeleteCommand extends InterfaceCommand {

    public InterfaceDeleteCommand(stanford.netdb.utils.Logger logger, Timestamp lock,
                                  Integer intfcID, Integer op_uid) {
        super(logger);
        db_call_type = ORA_FUN_IGNORE_RET_CALL;

        values[ACTION_INDEX]     = DELETE_ACTION;
        values[ID_OP_USER_INDEX] = op_uid;
        values[LOCK_INDEX]       = lock;
        values[INTFC_ID_INDEX]   = intfcID;
    }
}
