/************************************************************************
 *
 * ListDefaultsCommand.java - db call NetDB_GlobalDefault.list
 *
 * $Id: ListDefaultsCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.util.*;
import java.sql.*;

/** db call NetDB_GlobalDefault.list */
class ListDefaultsCommand extends DBCall {

    public ListDefaultsCommand(stanford.netdb.utils.Logger logger) {
        super(logger);
        values = new Object[1];
        values[0] = ref_cursor;
    }

    public String getSQL() {
        return proc_call_sql("NetDB_Default.list");
    }
}
