/************************************************************************
 *
 * ListUserGroups.java - NetDB_User.list_groups
 *
 * $Id: ListUserGroups.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2003, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.util.*;
import java.sql.*;

/** db call NetDB_User.list_groups */
class ListUserGroups extends GroupCommand {

    public ListUserGroups(stanford.netdb.utils.Logger logger,
                          String filter, Integer op_uid) {
        super(logger);
        db_call_type = ORA_FUN_CALL;

        values[OP_USER_INDEX]   = op_uid;
        values[ACTION_INDEX]    = "list";
        values[NAME_INDEX]      = o2v(filter);
    }
}
