/************************************************************************
 *
 * MakeModifyCommand.java - db call NetDB_Make.master 'update'
 *
 * $Id: MakeModifyCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.util.*;

/** db call NetDB_Make.master 'insert' */
class MakeModifyCommand extends MakeCommand {

    public MakeModifyCommand(stanford.netdb.utils.Logger logger,
                             Hashtable oldMake, Hashtable newMake,
                             Integer op_uid)
    {
        super(logger);
        db_call_type = ORA_FUN_IGNORE_RET_CALL;

        values[ACTION_INDEX]            = "update";
        values[OP_USER_INDEX]           = op_uid;
        values[MAKE_INDEX]              = oldMake.get("name");
        values[NEW_MAKE_INDEX]          = newMake.get("name");
    }
}
