/************************************************************************
 *
 * ModelTypeListCommand.java - db call NetDB_ModelType.list
 *
 * $Id: ModelTypeListCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2004, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** db call NetDB_ModelType.list */
class ModelTypeListCommand extends DBCall {

    public ModelTypeListCommand(stanford.netdb.utils.Logger logger) {
        super(logger);
        values = new Object[1];
        values[0] = ref_cursor;
    }

    public String getSQL() {
        return proc_call_sql("NetDB_ModelType.list");
    }
}
