/************************************************************************
 *
 * NetworkDeleteCommand.java - db call NetDB_Network.master 'delete'
 *
 * $Id: NetworkDeleteCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.sql.*;

/** db call NetDB_Network.master 'delete' */
class NetworkDeleteCommand extends NetworkCommand {

    public NetworkDeleteCommand(stanford.netdb.utils.Logger logger, Integer idNet,
                                Timestamp locked, Integer op_uid) {
        super(logger);
        db_call_type = ORA_FUN_IGNORE_RET_CALL;

        values[ACTION_INDEX]     = "delete";
        values[ID_NETWORK_INDEX] = idNet;
        values[LOCKED_INDEX]     = locked;
        values[ID_OP_USER_INDEX] = op_uid;
    }
}
