/************************************************************************
 *
 * NetworkInfoCommand.java - db call NetDB_Network.master 'info', ...
 *
 * $Id: NetworkInfoCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** NetDB_Network.master 'info', ... */
class NetworkInfoCommand extends NetworkCommand {

    public NetworkInfoCommand(stanford.netdb.utils.Logger logger, String name, Integer idNetwork) {
        super(logger);
        values[ACTION_INDEX]     = "info";
        values[NETWORK_INDEX]    = o2v(name);
        values[ID_NETWORK_INDEX] = o2n(idNetwork, Types.NUMERIC);
    }
}
