/************************************************************************
 *
 * NodeInfoCommand.java - db call NetDB_Node.master 'info', ...
 *
 * $Id: NodeInfoCommand.java,v 1.2 2006/10/04 20:33:45 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** NetDB_Node.master 'info', ... */
class NodeInfoCommand extends NodeCommand {

    public NodeInfoCommand(stanford.netdb.utils.Logger logger, String name, Integer idNode, Integer op_uid) {
        super(logger);
        values[ACTION_INDEX]    = "info";
        values[NAME_INDEX]      = o2v(name);
        values[ID_NODE_INDEX]   = o2n(idNode, Types.NUMERIC);
        values[OP_USER_INDEX]   = o2n(op_uid, Types.NUMERIC);
    }
}
