/************************************************************************
 *
 * NodeSimpleSearchCommand.java - Interface to NetDB_SS.get_nodes db call.
 *
 * $Id: NodeSimpleSearchCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** Interface to NetDB_SS.get_nodes db call. */
class NodeSimpleSearchCommand extends SimpleSearchCommand {

    public NodeSimpleSearchCommand(stanford.netdb.utils.Logger logger) {
        super(logger);
        values = new Object[5];
        values[0] = ref_cursor;
        values[1] = new Null(Types.VARCHAR); // p_search_param1
        values[2] = new Null(Types.VARCHAR); // p_search_param2
        values[3] = new Null(Types.VARCHAR); // p_search_type = {name, ip, hw}
        values[4] = new Null(Types.NUMERIC); // p_op_uid
    }

    public String getSQL() {
        return proc_call_sql("NetDB_SS.get_nodes");
    }
}
