/************************************************************************
 *
 * OSInsertCommand.java - db call NetDB_OS.master 'insert'
 *
 * $Id: OSInsertCommand.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.util.*;

/** db call NetDB_OS.master 'insert' */
class OSInsertCommand extends OSCommand {

    public OSInsertCommand(stanford.netdb.utils.Logger logger, Hashtable newOS,
                           Integer op_uid)
    {
        super(logger);
        db_call_type = ORA_FUN_IGNORE_RET_CALL;

        values[ACTION_INDEX]            = "insert";
        values[OP_USER_INDEX]           = op_uid;
        values[OS_NAME_INDEX]           = newOS.get("name");
        values[DESCRIPTION_INDEX]       = newOS.get("comment");
    }
}
