/************************************************************************
 *
 * OSModifyCommand.java - db call NetDB_OS.master 'update'
 *
 * $Id: OSModifyCommand.java,v 1.2 2006/10/30 06:19:36 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.util.*;

/** db call NetDB_OS.master 'update' */
class OSModifyCommand extends OSCommand {

    public OSModifyCommand(stanford.netdb.utils.Logger logger,
                           Hashtable oldOS, Hashtable newOS,
                           Integer op_uid)
    {
        super(logger);
        db_call_type = ORA_FUN_IGNORE_RET_CALL;

        values[ACTION_INDEX]            = newOS.get("replace")!=null?"replace":"update";
        values[OP_USER_INDEX]           = op_uid;
        values[OS_NAME_INDEX]           = oldOS.get("name");
        values[OS_NEW_NAME_INDEX]       = newOS.get("name");
        values[DESCRIPTION_INDEX]       = newOS.get("comment");
    }
}
