/************************************************************************
 *
 * Owner.java -
 *
 * $Id: Owner.java,v 1.1.1.1 2006/06/30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2003, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

/**
 * An ownership group for security on the rest of the
 * NetDB objects.
 */
class Owner
{
    private String group;

    public Owner(String group) {
        this.group = group;
    }

    /**
     * Gets the name of the ownership group.
     */
    public String getLabel() {
        return group;
    }
}
