/************************************************************************
 *
 * StateInfoCommand.java - db call pState 'info'
 *
 *
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2005, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** db call pState 'info' */
class StateInfoCommand extends StateCommand {

    public StateInfoCommand(stanford.netdb.utils.Logger logger, String handle) {
        super(logger);
        values[ACTION_INDEX]     = "info";
        values[STATE_NAME_INDEX] = o2v(handle);
    }
}
