/************************************************************************
 *
 * StateListCommand.java - db call NetDB_State.master 'list'
 *
 * $Id: StateListCommand.java,v 1.1.1.1 2006/06/30 23:38:10 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2005, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** db call NetDB_State.master 'list' */
class StateListCommand extends StateCommand {

    public StateListCommand(stanford.netdb.utils.Logger logger, Integer uid, String filter) {
        super(logger);
        values[ACTION_INDEX]     = "list";
        values[ID_OP_USER_INDEX] = o2n(uid, Types.NUMERIC);
        values[STATE_NAME_INDEX] = o2v(filter);
    }

}
