/************************************************************************
 *
 * UserProfileModifyCommand.java - db call NetDB_User.master 'profile'
 *
 * $Id: UserProfileModifyCommand.java,v 1.1.1.1 2006/06/30 23:38:10 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2004, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.util.*;
import java.sql.*;

/** db call NetDB_User.master 'profile' */
class UserProfileModifyCommand extends UserCommand {

    public UserProfileModifyCommand(stanford.netdb.utils.Logger logger, Hashtable user) {
        super(logger);

        values[ACTION_INDEX]         = "profile";
        values[OP_USER_INDEX]        = new Integer((String)user.get("id"));
        values[ID_INDEX]             = new Integer((String)user.get("id"));
        values[DEF_GROUP_INDEX]      = o2v(user.get("default_group"));
        values[DEF_DOMAIN_INDEX]     = o2v(user.get("default_domain"));
        values[DEF_ADDR_SPACE_INDEX] = o2v(user.get("default_addr_space"));
    }
}
